<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        // Schema::create('guard_names', function (Blueprint $table) {
        //     $table->id();
        //     $table->timestamps();
        // });
        $sql = <<<'SQL'
            CREATE TABLE guard_names (
                id                          BIGINT GENERATED always AS IDENTITY PRIMARY KEY,

                plant_id                    BIGINT NOT NULL,

                name						TEXT NOT NULL,
                identification1				TEXT NOT NULL,
                identification2				TEXT NULL,

                created_at                  TIMESTAMP NOT NULL DEFAULT NOW(),
                updated_at                  TIMESTAMP NOT NULL DEFAULT NOW(),
                deleted_at                  TIMESTAMP,

                created_by					TEXT NOT NULL,

                UNIQUE (plant_id, name),
                FOREIGN KEY (plant_id)      REFERENCES  plants (id)
            );
        SQL;

        DB::statement($sql);
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('guard_names');
    }
};
